Permalink
Browse files

version number bumped to 2.0.0

  • Loading branch information...
JPMoresmau committed Sep 30, 2010
1 parent f61a4c9 commit f1d18d1601afcb034324810921a7d53dea26b020
@@ -1 +1,2 @@
-# nothing in here
+bundleVendor = The EclipseFP Project
+bundleName = FP: Haskell support for Eclipse
@@ -1,9 +1,9 @@
<?xml version="1.0" encoding="UTF-8"?>
<feature
id="net.sf.eclipsefp.haskell"
- label="FP: Haskell support for Eclipse"
- version="1.112.0"
- provider-name="eclipsefp.sourceforge.net">
+ label="%bundleName"
+ version="2.0.0"
+ provider-name="%bundleVendor">
<description>
Adds tools for the Haskell programming language to the Eclipse IDE.
@@ -68,84 +68,84 @@ and is also available at http://github.com/JPMoresmau/scion/raw/master/docs/LICE
id="net.sf.eclipsefp.haskell"
download-size="0"
install-size="0"
- version="1.112.0"
+ version="2.0.0"
unpack="false"/>
<plugin
id="net.sf.eclipsefp.haskell.core"
download-size="0"
install-size="0"
- version="1.112.0"
+ version="2.0.0"
unpack="false"/>
<plugin
id="net.sf.eclipsefp.haskell.doc.user"
download-size="0"
install-size="0"
- version="1.112.0"
+ version="2.0.0"
unpack="false"/>
<plugin
id="net.sf.eclipsefp.haskell.ui"
download-size="0"
install-size="0"
- version="1.112.0"
+ version="2.0.0"
unpack="false"/>
<plugin
id="net.sf.eclipsefp.haskell.haddock"
download-size="0"
install-size="0"
- version="1.112.0"
+ version="2.0.0"
unpack="false"/>
<plugin
id="net.sf.eclipsefp.haskell.hugs"
download-size="0"
install-size="0"
- version="1.112.0"
+ version="2.0.0"
unpack="false"/>
<plugin
id="net.sf.eclipsefp.haskell.ghccompiler"
download-size="0"
install-size="0"
- version="1.112.0"
+ version="2.0.0"
unpack="false"/>
<plugin
id="net.sf.eclipsefp.haskell.debug.ui"
download-size="0"
install-size="0"
- version="1.112.0"
+ version="2.0.0"
unpack="false"/>
<plugin
id="net.sf.eclipsefp.haskell.debug.core"
download-size="0"
install-size="0"
- version="1.112.0"
+ version="2.0.0"
unpack="false"/>
<plugin
id="net.sf.eclipsefp.haskell.scion.client"
download-size="0"
install-size="0"
- version="1.112.0"
+ version="2.0.0"
unpack="false"/>
<plugin
id="net.sf.eclipsefp.haskell.compat"
download-size="0"
install-size="0"
- version="1.112.0"
+ version="2.0.0"
unpack="false"/>
<plugin
id="net.sf.eclipsefp.haskell.util"
download-size="0"
install-size="0"
- version="1.112.0"
+ version="2.0.0"
unpack="false"/>
</feature>
@@ -1,8 +1,8 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
-Bundle-Name: Compat
+Bundle-Name: %bundleName
Bundle-SymbolicName: net.sf.eclipsefp.haskell.compat;singleton:=true
-Bundle-Version: 1.112.0
+Bundle-Version: 2.0.0
Bundle-Activator: net.sf.eclipsefp.haskell.compat.Activator
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
@@ -11,3 +11,5 @@ Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Export-Package: net.sf.eclipsefp.haskell.compat
Import-Package: org.osgi.framework;version="1.5.0"
+Bundle-Localization: plugin
+Bundle-Vendor: %bundleVendor
@@ -1,4 +1,5 @@
-source.. = src/
-output.. = bin/
-bin.includes = META-INF/,\
- .
+source.. = src/
+output.. = bin/
+bin.includes = META-INF/,\
+ .,\
+ plugin.properties
@@ -0,0 +1,2 @@
+bundleVendor = The EclipseFP Project
+bundleName = Compatibility layer
@@ -12,8 +12,8 @@ Require-Bundle: org.easymock;bundle-version="[2.2.0,3.0.0)",
org.eclipse.core.resources;bundle-version="[3.2.0,4.0.0)",
org.eclipse.core.runtime;bundle-version="[3.2.0,4.0.0)",
net.sf.eclipsefp.haskell.core,
- net.sf.eclipsefp.haskell.scion.client;bundle-version="1.112.0",
- net.sf.eclipsefp.haskell.ui;bundle-version="1.112.0",
+ net.sf.eclipsefp.haskell.scion.client,
+ net.sf.eclipsefp.haskell.ui,
net.sf.eclipsefp.haskell.util,
org.eclipse.ui;bundle-version="3.5.1"
Export-Package: net.sf.eclipsefp.haskell.core.test,
@@ -1,7 +1,7 @@
Manifest-Version: 1.0
Bundle-Name: %bundleName
Bundle-SymbolicName: net.sf.eclipsefp.haskell.core;singleton:=true
-Bundle-Version: 1.112.0
+Bundle-Version: 2.0.0
Bundle-Activator: net.sf.eclipsefp.haskell.core.HaskellCorePlugin
Bundle-Vendor: %bundleVendor
Bundle-Localization: plugin
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %bundleName
Bundle-SymbolicName: net.sf.eclipsefp.haskell.debug.core;singleton:=true
-Bundle-Version: 1.112.0
+Bundle-Version: 2.0.0
Bundle-Activator: net.sf.eclipsefp.haskell.debug.core.internal.HaskellDebugCore
Bundle-Vendor: %bundleVendor
Require-Bundle: org.eclipse.core.runtime,
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %bundleName
Bundle-SymbolicName: net.sf.eclipsefp.haskell.debug.ui;singleton:=true
-Bundle-Version: 1.112.0
+Bundle-Version: 2.0.0
Bundle-Activator: net.sf.eclipsefp.haskell.debug.ui.internal.HaskellDebugUI
Bundle-Vendor: %bundleVendor
Require-Bundle: net.sf.eclipsefp.haskell.ghccompiler,
@@ -1,7 +1,7 @@
Manifest-Version: 1.0
Bundle-Name: %bundleName
Bundle-SymbolicName: net.sf.eclipsefp.haskell.doc.user;singleton:=true
-Bundle-Version: 1.112.0
+Bundle-Version: 2.0.0
Bundle-Vendor: %bundleVendor
Bundle-Localization: plugin
Bundle-ActivationPolicy: lazy
@@ -1,7 +1,7 @@
Manifest-Version: 1.0
Bundle-Name: %bundleName
Bundle-SymbolicName: net.sf.eclipsefp.haskell.ghccompiler;singleton:=true
-Bundle-Version: 1.112.0
+Bundle-Version: 2.0.0
Bundle-Activator: net.sf.eclipsefp.haskell.ghccompiler.GhcCompilerPlugin
Bundle-Vendor: %bundleVendor
Bundle-Localization: plugin
@@ -1,7 +1,7 @@
Manifest-Version: 1.0
Bundle-Name: %bundleName
Bundle-SymbolicName: net.sf.eclipsefp.haskell.haddock;singleton:=true
-Bundle-Version: 1.112.0
+Bundle-Version: 2.0.0
Bundle-Activator: net.sf.eclipsefp.haskell.haddock.HaddockPlugin
Bundle-Vendor: %bundleVendor
Bundle-Localization: plugin
@@ -1,7 +1,7 @@
Manifest-Version: 1.0
Bundle-Name: %bundleName
Bundle-SymbolicName: net.sf.eclipsefp.haskell.hugs;singleton:=true
-Bundle-Version: 1.112.0
+Bundle-Version: 2.0.0
Bundle-Activator: net.sf.eclipsefp.haskell.hugs.HugsPlugin
Bundle-Vendor: %bundleVendor
Bundle-Localization: plugin
@@ -5,7 +5,7 @@ Bundle-SymbolicName: net.sf.eclipsefp.haskell.scion.client.test
Bundle-Version: 1.112.0
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
- net.sf.eclipsefp.haskell.scion.client;bundle-version="1.112.0",
+ net.sf.eclipsefp.haskell.scion.client,
org.junit4
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Bundle-Vendor: eclipsefp.sourceforge.net
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %bundleName
Bundle-SymbolicName: net.sf.eclipsefp.haskell.scion.client;singleton:=true
-Bundle-Version: 1.112.0
+Bundle-Version: 2.0.0
Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Bundle-ActivationPolicy: lazy
@@ -11,7 +11,7 @@ Require-Bundle: org.eclipse.core.runtime;bundle-version="3.5.0",
org.eclipse.core.resources;bundle-version="3.5.0",
org.eclipse.ui,
org.eclipse.text,
- net.sf.eclipsefp.haskell.util;bundle-version="1.112.0"
+ net.sf.eclipsefp.haskell.util
Bundle-Vendor: %bundleVendor
Export-Package: net.sf.eclipsefp.haskell.scion.client,
net.sf.eclipsefp.haskell.scion.exceptions,
@@ -17,7 +17,7 @@ Require-Bundle: org.junit4,
net.sf.eclipsefp.haskell.ui,
net.sf.eclipsefp.haskell.core,
net.sf.eclipsefp.haskell.core.test,
- net.sf.eclipsefp.haskell.scion.client;bundle-version="1.112.0",
+ net.sf.eclipsefp.haskell.scion.client,
net.sf.eclipsefp.haskell.util
Export-Package: net.sf.eclipsefp.haskell.ui.test
Bundle-RequiredExecutionEnvironment: J2SE-1.5
@@ -1,7 +1,7 @@
Manifest-Version: 1.0
Bundle-Name: %bundleName
Bundle-SymbolicName: net.sf.eclipsefp.haskell.ui;singleton:=true
-Bundle-Version: 1.112.0
+Bundle-Version: 2.0.0
Bundle-Activator: net.sf.eclipsefp.haskell.ui.HaskellUIPlugin
Bundle-Vendor: %bundleVendor
Bundle-Localization: plugin
@@ -23,7 +23,7 @@ Require-Bundle: net.sf.eclipsefp.haskell.core,
org.apache.ant,
net.sf.eclipsefp.haskell.scion.client,
org.eclipse.core.expressions;bundle-version="3.4.100",
- net.sf.eclipsefp.haskell.util;bundle-version="1.112.0"
+ net.sf.eclipsefp.haskell.util
Bundle-ManifestVersion: 2
Export-Package: net.sf.eclipsefp.common.ui.dialog;uses:="org.eclipse.swt.widgets",
net.sf.eclipsefp.common.ui.preferences;
@@ -1,11 +1,13 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
-Bundle-Name: Utility classes
+Bundle-Name: %bundleName
Bundle-SymbolicName: net.sf.eclipsefp.haskell.util
-Bundle-Version: 1.112.0
+Bundle-Version: 2.0.0
Bundle-Activator: net.sf.eclipsefp.haskell.util.Activator
Require-Bundle: org.eclipse.core.runtime,
org.eclipse.core.resources
Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Export-Package: net.sf.eclipsefp.haskell.util;uses:="org.osgi.framework"
+Bundle-Vendor: %bundleVendor
+Bundle-Localization: plugin
@@ -1,4 +1,5 @@
source.. = src/
output.. = bin/
bin.includes = META-INF/,\
- .
+ .,\
+ plugin.properties
@@ -0,0 +1,2 @@
+bundleVendor = The EclipseFP Project
+bundleName = Utility classes
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %bundleName
Bundle-SymbolicName: net.sf.eclipsefp.haskell;singleton:=true
-Bundle-Version: 1.112.0
+Bundle-Version: 2.0.0
Bundle-Vendor: %bundleVendor
Bundle-Localization: plugin
Require-Bundle: org.eclipse.ui.cheatsheets;bundle-version="[3.2.0,4.0.0)",

0 comments on commit f1d18d1

Please sign in to comment.